List cloud instances
List all your cloud instances with the help of a GET request sent to /v1/cloud_computing/instances. You can select instances within one location by specifying the query parameter.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
region_id? | integerA unique identifier of a cloud region. To get a list of IDs, go to the relevant request in the Cloud Region section. |
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
curl -X GET "https://example.com/v1/cloud_computing/instances"[ { "id": "openZRe7", "openstack_uuid": "e45f1be8-4fcd-4bbc-bc61-49583b15ed1f", "status": "ACTIVE", "name": "name1369", "region_id": 0, "region_code": "NL01", "flavor_id": "101", "flavor_name": "SSD.1", "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21", "image_name": null, "public_ipv4_address": null, "private_ipv4_address": null, "local_ipv4_address": null, "public_ipv6_address": null, "ipv6_enabled": false, "gpn_enabled": false, "created_at": "2026-05-28T07:06:18Z", "updated_at": "2026-05-28T07:06:18Z", "backup_copies": 0, "public_port_blocked": false, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" } }]